#!/bin/bash
# Copyright (c) eenos.com
export PVERSION=python312
export PIP_BIN=/opt/eenos/$PVERSION/bin/pip3
/usr/sbin/ldconfig
cat << ENDOFMOTD

----------- PIP Setup -----------------

The Eenos Python pip3 utility setup tool 
To update and install the latest pip(s)

---------------------------------------

ENDOFMOTD
if [ ! -f $PIP_BINN ]; then
    echo "pip3 Command not found installing default ... "
    /opt/eenos/${PVERSION}/bin/python3 -m ensurepip --default-pip
fi
# if [ -d /root/.cache/pip ];then
#     echo "Clearing pip cache"
#     rm -rf /root/.cache/pip >/dev/null 2>&1
# fi
echo "upgrading pip3"
/opt/eenos/${PVERSION}/bin/python3 -m pip --no-color --no-cache-dir install --upgrade pip
echo "installing wheel"
$PIP_BIN --no-color --no-cache-dir install wheel virtualenv
echo "Ensuring pip3 "
$PIP_BIN --no-color --no-cache-dir install --upgrade pip setuptools wheel
echo "Installed Python Modules ...."
$PIP_BIN freeze
echo "Python module installation ... completed"

exit 0
